﻿
#notificationContainer {
    min-height: 54px;
    border-radius: 10px !important;
    position: fixed;
    z-index: 9999;
    box-sizing: border-box;
    /*  padding: 10px 16px !important;*/
    margin-bottom: 1rem;
    max-width: 312px;
    /*top: 620px;*/
    right: 20px;
    box-shadow: 0 1px 10px 0 rgba(0, 0, 0, 0.1), 0 2px 15px 0 rgba(0, 0, 0, 0.05);
    background-color: #d83731;
}
#notificationContainer p {
    margin-bottom: 0;
    font-size: 13px;
    padding: 10px
}

#notificationContainer img {
    margin-right: 10px;
    width: 30px;
}

#pushnotificationContainer {
    min-height: 54px;
    border-radius: 10px !important;
    position: fixed;
    z-index: 9999;
    box-sizing: border-box;
    /*  padding: 10px 16px !important;*/
    margin-bottom: 1rem;
    max-width: 312px;
    /*top: 620px;*/
    right: 20px;
    box-shadow: 0 1px 10px 0 rgba(0, 0, 0, 0.1), 0 2px 15px 0 rgba(0, 0, 0, 0.05);
    background-color: black;
}

.image-url-container img {
    width: 160px !important;
    margin-bottom: 8px;
}

#notificationsCollapse {
    max-height: 100%;
}

#pushnotificationContainer p {
    margin-bottom: 0;
    font-size: 13px;
    padding: 10px
}

#pushnotificationContainer img {
    margin-right: 10px;
    width: 30px;
}

.highcharts-data-table thead tr, .highcharts-data-table tr:nth-child(even) {
    background-color: transparent;
}

.highcharts-data-table tr:hover {
}

.polygon > svg {
    height: 100%;
    width: 100%;
}

span#ActivateRequestCounter {
    float: right;
    position: absolute;
    right: 15px;
}

#chart-line svg {
    margin-top: -70px;
}

span#IncidentRequestCounter {
    float: right;
    position: absolute;
    right: 15px;
}


.sticky-menu {
    position: absolute !important;
}

.toppanel {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 87px;
    top: 0px;
    background: rgba(0,0,0,.7);
    z-index: 1;
    border-bottom: 1px solid #272727;
    padding-left: 20px;
}

.part-left {
    display: flex;
    align-items: center;
    width: 85%;
}

    .part-left .forward-icon {
        height: 30px;
        margin-left: 32px;
        margin-right: 23px;
    }

    .part-left .form-control {
        max-height: 52px;
        margin-right: 23px;
        width: 250px;
    }

    .part-left .status-part {
        display: flex;
        align-items: center;
    }

        .part-left .status-part .daily-status-tag {
            padding: 10px;
            display: flex;
            align-items: center;
            margin-right: 10px;
            clip-path: circle(40%);
        }

.daily-status-tag.pink {
    background: #F78FB3;
}

.daily-status-tag.yellow {
    background: #F19066;
}

.part-left .status-part .daily-status-text {
}

.part-right {
    display: flex;
    align-items: center;
    position: relative;
    top: 3px;
    margin-right: 20px;
}

.forward-icon {
    transform: matrix(-1, 0, 0, 1, 0, 0);
    cursor: pointer;
}

.back-icon {
    height: 30px;
    top: -3px;
    position: relative;
    cursor: pointer;
}

#forwardicon {
    margin-right: 15px;
}

.full-screen {
    top: 15.78%;
    right: calc(100% - 95%);
    width: 24px;
    height: 24px;
    border: none;
    background: url(/images/full-screen.png) no-repeat;
}

.datetime {
    width: 246px;
    height: 52px;
}



.amended-daily-status-tag {
    left: 605px;
    background: #F19066;
}

.amended-daily-status-text {
    left: 644px;
}

.daily-status-tag {
    background: #546DE5;
    border-radius: 50%;
}

.daily-status-text {
    height: 15px;
    font-family: 'roboto', 'Noto Sans Arabic' !important;
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 15px;
    letter-spacing: -0.012em;
    color: #FFFFFF;
    margin-right: 17px;
}

.request-for-activation-tag {
    width: 25px;
    height: 19px;
    background: linear-gradient(270deg, #B68A35 3.57%, #B68A35 97.53%);
    border-radius: 3px;
    padding-left: 10px;
    left: -80px !important;
    top: 0px;
}

.request-for-activation-text {
    height: 18px;
    font-size: 16px;
}

.layout-right {
    position: absolute;
    width: 472px;
    height: 1080px;
    left: 1448px;
    top: 0px;
    background: #000000;
}

.status-lagend {
    position: absolute;
    width: 780px;
    height: 45px;
    left: 50%;
    transform: translate(-50%,50%);
    bottom: 150%;
    background: #000000;
    border-radius: 10px;
}

.status-lagend-tag {
    position: absolute;
    width: 12px;
    height: 12px;
    /* top: 922px;*/
    border-radius: 12px;
    top: 37%;
}

.new-status-lagend-tag {
    background: #7F4EFF;
}

.amend-status-lagend-tag {
    background: #FF5200;
}

.approved-status-lagend-tag {
    background: #00A651;
}

.rejected-status-lagend-tag {
    background: #F50342;
}

.cancelled-status-lagend-tag {
    background: #828282;
}

.inprogress-status-lagend-tag {
    background: #FFBF38;
}

.completed-status-lagend-tag {
    background: #1673FF;
}

.activation-status-lagend-tag {
    background: #ACCE08;
    background-image: linear-gradient(131deg, #e50303 9.57%, #e5e5e5 9.57%, #e5e5e5 50%, #e50303 50%, #e50303 59.57%, #e5e5e5 59.57%, #e5e5e5 100%);
    background-size: 6.55px 6.34px;
    left: 680px;
}

.status-lagend-text {
    position: absolute;
    width: 67px;
    height: 26px;
    /* top: 915px;*/
    font-family: 'roboto', 'Noto Sans Arabic' !important;
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 24px;
    color: #FFFFFF;
    opacity: 0.6;
    top: 25%;
}

.completed-status-lagend-text {
    left: calc(70% - 66px/2 + 77px);
}

.new-status-lagend-text {
    left: 30px;
}

.amend-status-lagend-text {
    left: calc(70% - 27px/2 - 436.5px);
}

.approved-status-lagend-text {
    left: calc(70% - 58px/2 - 322px);
}

.rejected-status-lagend-text {
    left: calc(70% - 58px/2 - 222px);
}

.cancelled-status-lagend-text {
    left: calc(70% - 53px/2 - 124.5px);
}

.inprogress-status-lagend-text {
    left: calc(70% - 58px/2 - 27px);
}

.activation-status-lagend-text {
    left: calc(70% - 60px/2 + 184px);
}

.request-activation-box {
    width: 100%;
    padding-top: 25px;
    padding-right: 16px;
    padding-left: 25px;
    border-bottom: 1px solid #2F2F2F;
    padding-bottom: 25px;
}

    .request-activation-box:hover {
        background: rgba(47, 47, 47, .6);
    }

.request-activation-container {
    width: 100%;
}

.request-activation-title {
    white-space: nowrap;
    margin-right: 10px;
    width: fit-content;
    height: 24px;
    display: flex;
    font-family: 'roboto', 'Noto Sans Arabic' !important;
    font-style: normal;
    font-weight: 500;
    margin-right: 6px;
    font-size: 14px;
    line-height: 172.9%;
    margin-right: 5px;
    /* or 24px */
    /* Gradient */

    background: linear-gradient(270deg, #B68A35 3.57%, #B68A35 97.53%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
}

.request-activation-viewdetail-group {
    width: 108px;
    height: 36px;
}

#chart-line text {
    fill: #969696 !important;
    font-style: normal;
    font-weight: 500;
    font-size: 11px;
    line-height: 16px;
    color: #969696;
    font-family: 'roboto', 'Noto Sans Arabic' !important;
}

.request-actionvation-viewdetail-text {
    /* position: absolute;*/
    width: 71px;
    height: 13px;
    /*left: 48px;*/
    top: 106px;
    font-family: 'roboto', 'Noto Sans Arabic' !important;
    font-style: normal;
    font-weight: 400;
    font-size: 11px;
    /*line-height: 13px;
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            text-align: center;*/
    text-transform: uppercase;
    color: #FFFFFF;
}

.request-activation-viewdetail-button {
    box-sizing: border-box;
    background: transparent;
    border: 1px solid rgba(255, 255, 255, 0.2);
    box-shadow: 0px 15px 30px rgba(0, 0, 0, 0.25);
    border-radius: 10px;
    padding: 11px 18px;
    display: block;
    width: fit-content;
}

.request-activation-detail {
    width: 100%;
    height: 22px;
    font-family: 'roboto', 'Noto Sans Arabic' !important;
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 22px;
    color: #FFFFFF;
    display: block;
    margin-bottom: 21px;
    display: block;
}

.request-activation-dategroup {
    width: 100%;
    text-align: right;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    margin-left: 8px;
}

@@media(min-width:1700px) {
    .request-activation-dategroup {
        left: 50%;
    }
}

.request-activation-datecontent {
    width: 110px;
    height: 15px;
    left: 319px;
    top: 31px;
    font-family: 'roboto', 'Noto Sans Arabic' !important;
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 15px;
    color: #FFFFFF;
    opacity: 0.6;
    white-space: nowrap;
    direction: ltr;
}

.request-activation-date-icon {
    display: block;
    width: 20px;
    height: 20px;
    background-image: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M15 3.95837H4.99996C3.50419 3.95837 2.29163 5.17094 2.29163 6.66671V15C2.29163 16.4958 3.50419 17.7084 4.99996 17.7084H15C16.4957 17.7084 17.7083 16.4958 17.7083 15V6.66671C17.7083 5.17094 16.4957 3.95837 15 3.95837Z' stroke='%23969696' stroke-width='1.5'/%3E%3Cpath d='M5.625 2.29163V5.20829' stroke='%23969696' stroke-width='1.5' stroke-linecap='round'/%3E%3Cpath d='M3.125 7.70837H16.875' stroke='%23969696' stroke-width='1.5' stroke-linecap='round'/%3E%3Cpath d='M14.7916 2.29163V5.20829' stroke='%23969696' stroke-width='1.5' stroke-linecap='round'/%3E%3Cpath d='M6.875 11.6666C7.22018 11.6666 7.5 11.3868 7.5 11.0416C7.5 10.6964 7.22018 10.4166 6.875 10.4166C6.52982 10.4166 6.25 10.6964 6.25 11.0416C6.25 11.3868 6.52982 11.6666 6.875 11.6666Z' fill='%23969696'/%3E%3Cpath d='M10.2084 11.6666C10.5536 11.6666 10.8334 11.3868 10.8334 11.0416C10.8334 10.6964 10.5536 10.4166 10.2084 10.4166C9.8632 10.4166 9.58337 10.6964 9.58337 11.0416C9.58337 11.3868 9.8632 11.6666 10.2084 11.6666Z' fill='%23969696'/%3E%3Cpath d='M13.5416 11.6666C13.8868 11.6666 14.1666 11.3868 14.1666 11.0416C14.1666 10.6964 13.8868 10.4166 13.5416 10.4166C13.1964 10.4166 12.9166 10.6964 12.9166 11.0416C12.9166 11.3868 13.1964 11.6666 13.5416 11.6666Z' fill='%23969696'/%3E%3Cpath d='M6.875 15C7.22018 15 7.5 14.7202 7.5 14.375C7.5 14.0298 7.22018 13.75 6.875 13.75C6.52982 13.75 6.25 14.0298 6.25 14.375C6.25 14.7202 6.52982 15 6.875 15Z' fill='%23969696'/%3E%3Cpath d='M10.2084 15C10.5536 15 10.8334 14.7202 10.8334 14.375C10.8334 14.0298 10.5536 13.75 10.2084 13.75C9.8632 13.75 9.58337 14.0298 9.58337 14.375C9.58337 14.7202 9.8632 15 10.2084 15Z' fill='%23969696'/%3E%3Cpath d='M13.5416 15C13.8868 15 14.1666 14.7202 14.1666 14.375C14.1666 14.0298 13.8868 13.75 13.5416 13.75C13.1964 13.75 12.9166 14.0298 12.9166 14.375C12.9166 14.7202 13.1964 15 13.5416 15Z' fill='%23969696'/%3E%3C/svg%3E");
    background-repeat: no-repeat no-repeat;
    background-position: center center;
    background-size: cover;
}

.request-activation-status-group {
    width: 45px;
    border-radius: 5px;
    padding-left: 10px;
    padding: 7px 9px;
    line-height: 0;
    margin-left: 6px;
}

.request-actionvation-status-text {
    width: 23px;
    height: 11px;
    left: 162px;
    top: 33px;
    font-family: 'roboto', 'Noto Sans Arabic' !important;
    font-style: normal;
    font-weight: 500;
    font-size: 10px;
    line-height: 11px;
    text-transform: uppercase;
    color: #FFFFFF;
    border-radius: 5px;
}

.request-activation-border {
    width: 472px;
    height: 1px;
    background: #2F2F2F;
}

div#nocActivateRequestlist {
    height: 48%;
    overflow-y: scroll;
    width: 100%;
    overflow-x: hidden;
    padding-right: 0px;
}


::-webkit-scrollbar {
    width: 7px;
}

::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px black;
    border-radius: 10px;
}

::-webkit-scrollbar-thumb {
    background: #444;
    border-radius: 0px;
}

    ::-webkit-scrollbar-thumb:hover {
        background: #333;
    }

.flex {
    -webkit-box-flex: 1;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto
}



.padding {
    padding: 5rem
}

.card {
    background: #000;
    border-width: 0;
    border-radius: .25rem;
    box-shadow: 0 1px 3px rgba(0, 0, 0, .05);
    margin-bottom: 1.5rem
}

.card {
    position: relative;
    display: flex;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #000;
    background-clip: border-box;
    border: 1px solid rgba(19, 24, 44, .125);
    border-radius: .25rem
}

.card-header {
    padding: .75rem 1.25rem;
    margin-bottom: 0;
    background-color: rgba(19, 24, 44, .03);
    border-bottom: 1px solid rgba(19, 24, 44, .125)
}

    .card-header:first-child {
        border-radius: calc(.25rem - 1px) calc(.25rem - 1px) 0 0
    }

card-footer,
.card-header {
    background-color: transparent;
    border-color: rgba(160, 175, 185, .15);
    background-clip: padding-box
}

.stats-label {
    width: 70px;
    height: 18px;
    left: calc(50% - 38px/2 + 537px);
    top: 601px;
    font-family: 'roboto', 'Noto Sans Arabic' !important;
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 18px;
    color: #FFFFFF;
}

.datetimegroup {
    position: absolute;
    width: 219px;
    height: 52px;
    left: 1671px;
    top: 584px;
}

.top-status {
    display: flex;
    width: 30px;
    height: 30px;
    border-radius: 100%;
    align-items: center;
    font-size: 13px;
    justify-content: center;
    cursor: pointer;
    color: white;
}

    .top-status.off {
        background-color: transparent !important;
        background-image: none !important;
        color: white !important;
    }

.top-status-text {
    padding-left: 15px;
    padding-right: 15px;
    width: max-content;
    font-size: 13px;
}

.right-flight-menu {
    height: 500px !important;
    display: none;
    max-height: 560px;
    max-width: 500px;
    width: 280px;
}

.full-screen-enable {
    top: 15.78%;
    right: calc(100% - 95%);
    width: 24px;
    height: 24px;
    border: none;
    background: url(/images/full-screen-enable.png) no-repeat;
}

ul#selecteddateStatusList {
    overflow: hidden;
    padding-left: 0px;
    /*            max-width: 440px;*/
    overflow-x: auto;
    position: relative;
    left: -20px;
    top: 3px;
    padding: 0 0 10px 0;
    display: flex;
}

ul#selecteddateStatusListHover {
    overflow: hidden;
    padding-left: 0px;
    max-width: 440px;
    position: relative;
    left: -20px;
    top: 3px;
    padding: 0 0 10px 0;
    display: inline-block;
}


/*.status-legend-full-screen {
                                                                                                                    margin-left: 18% !important;
                                                                                                                }*/

.selected-status-list-full-screen {
    max-width: 1024px !important;
}

.part-left-full-screen {
    margin-left: 50px;
}


.part-right-full-screen {
    margin-right: 20px;
}

.timelinearrowImage {
    position: relative;
    left: -33px;
    top: -7px;
}

.timelinetextcolor {
    color: transparent;
}

    .timelinetextcolor:hover {
        color: transparent !important;
    }

.timelinebuttonheight {
    height: 22px;
}

.no-activation-request {
    padding-top: 50%;
    max-width: 80%;
    margin-left: 9%;
    color: #969696;
    text-align: center;
}

.nav-chart {
    width: 100%;
    height: 100%;
    position: relative;
}

.vrow {
    margin: 10px 0;
    position: relative;
    z-index: 1;
}

.nav-chart .bar::before {
    content: "—";
    font-size: 11px;
    font-weight: 500;
    color: #969696;
    position: relative;
    left: -15px;
    top: -5px;
}

.nav-chart .bar::after {
    font-size: 11px;
    font-weight: 500;
    color: #FFFFFF;
    position: relative;
    right: -100%;
    top: -23px;
    margin-left: 4px;
    display: flex;
}

.nav-chart .label {
    font-size: 11px;
    font-weight: 500;
    color: #969696;
    display: inline-block;
    margin-right: 10px;
    min-width: 80px;
    line-height: 15px;
    text-align: end;
    background-color: transparent;
}

.nav-chart .bar {
    margin: 5px 10px;
    height: 10px;
    border-radius: 0px 10px 10px 0px;
    display: inline-block;
}

.vrows {
    /*		position: absolute;*/
}

.vbars {
    position: relative;
    top: 0px;
    margin-left: 99px;
}

.vbar {
    position: absolute;
    z-index: 0;
    width: 1px;
    height: 120px;
    border-left: 1px solid #2F2F2F;
}

    .vbar::after {
        font-size: 11px;
        font-weight: 500;
        color: #FFFFFF;
        position: absolute;
        bottom: -20px;
        left: -10px;
        display: inline-block;
        width: 20px;
        text-align: center;
    }
/* dynamic data */

/* tooltip css*/


/*  otp screen  */

#afterOTP {
    text-align: center;
}
.resendOTP {
    background: none;
    color: #B68A35;
    border: 0;
    border-bottom: 1px solid #B68A35;
    line-height:1;
}
    .resendOTP:hover {
        color: #CBA344;
        border-bottom: 1px solid #CBA344;
    }
.otpresend.disabled .resendOTP:hover {
    color: #B68A35;
    border-bottom: 1px solid #B68A35;
}
.otp-field {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 40px;
    margin-bottom: 30px;
    direction: ltr;
}

    .otp-field input {
        width: 55px;
        font-size: 32px;
        padding: 10px;
        text-align: center;
        border-radius: 5px;
        margin: 5px;
        border: 2px solid #3E4046;
        background: #0E0F12;
        font-weight: bold;
        color: #fff;
        outline: none;
        transition: all 0.1s;
    }

        .otp-field input:focus {
            border: 2px solid #b68a35;
        }

.disabled {
    opacity: 0.5;
}

.space {
    margin-right: 1rem !important;
}
.menuupbutton {
    background-image: url("data:image/svg+xml,%3Csvg width='13' height='7' transform='scale(1,-1)' viewBox='0 0 13 7' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M11.3333 1L6.33325 6L1.33325 1' stroke='%23ffffff99 ' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
    background-position: 90% 20px;
}

.submenushow {
    display: block !important;
}

.dropdown-part {
    display: none;
}

ul#MainMenu li a:hover {
    color: white;
}

.custom-modal {
    background-color: #000;
    border: 2px solid #3E4046;
    border-radius: 10px;
    padding: 0; /* Remove padding to make the header touch the top */
    width: 540px;
    max-width: 600px; /* Adjust as necessary */
    margin: 0 auto; /* Center the modal */
    margin-top: 200px;
}

.custom-modal-header {
    background-color: #B68A35; /* Yellowish background color */
    color: #ffffff;
    padding: 20px; /* Adjust padding as needed */
    border-top-left-radius: 10px; /* Match the modal's border radius */
    border-top-right-radius: 10px; /* Match the modal's border radius */
    width: 100%;
    text-align: left; /* Center the header text */
}

.custom-modal-body {
    padding: 20px;
    text-align: center; /* Center the body content */
}

.selection-box {
    border-radius: 10px;
    text-align: center;
}

    .selection-box h1 {
        color: #3E4046;
        margin-bottom: 10px;
        font-size: 26px;
        text-transform: capitalize;
    }

    .selection-box p {
        color: #9EA2A9;
        font-size: 14px;
        margin-bottom: 40px;
        font-weight: 400;
    }

    .selection-box .tag-group {
        display: flex;
        flex-direction: column;
        gap: 15px;
    }

    .selection-box .tag {
        display: flex;
        justify-content: space-between; /* Space between the text and the icon */
        align-items: center;
        padding: 10px;
        background: transparent;
        border: 2px solid #222222;
        border-radius: 8px;
        cursor: pointer;
        transition: background-color 0.3s, color 0.3s, border-color 0.3s;
        font-size: 14px;
        color: #9EA2A9 !important;
        font-weight: 400;
        width: 80%; /* Ensure anchor tags have at least 80% width */
        margin: 0 auto; /* Center the anchor tags */
        flex-direction: row; /* Ensure default row direction */
    }

        .selection-box .tag img {
            margin-left: auto; /* Push the image to the right */
            margin-right: 0; /* Reset margin-right */
        }


        .selection-box .tag.active {
            background-color: #B68A35 !important;
            color: #ffffff !important;
            border-color: #B68A35;
            font-weight: 400;
        }

        .selection-box .tag:hover {
            background-color: #3E4046 !important;
            color: #ffffff !important;
            border-color: #3E4046;
        }

.unit-label {
    text-transform: lowercase;
}

.next-button {
    height: 48px;
    padding: 10px 20px;
    border-radius: 6px;
    margin: 0 auto
}

.accounttype {
    font-weight: 500;
    font-size: 20px;
    height: 15px;
}

#multiprofile {
    margin-top: 48px;
    margin-bottom: 12px;
}

.hover-effect {
    text-decoration: none;
    color: inherit;
    transition: background-color 0.3s ease;
}

    .hover-effect:hover {
        background-color: #B68A35;
        color: #fff;
        cursor: pointer;
    }